package com.ruoyi.system.core.clientExecute;

import com.ruoyi.system.core.ClientExecute;
import com.ruoyi.system.core.annotate.Execute;
import com.ruoyi.system.core.domain.DeviceFunc;
import com.ruoyi.system.domain.SysDevice;
import com.ruoyi.system.domain.SysDeviceCommand;
import org.springframework.stereotype.Component;
import reactor.core.publisher.Mono;

@Component
@Execute(type = "HTTP")
public class HttpStart implements ClientExecute {
    @Override
    public void createClient(SysDevice device) {

    }

    @Override
    public boolean send(SysDevice device, DeviceFunc msg) {

        return false;
    }

    @Override
    public boolean connection(SysDevice device) {
        return false;
    }

    @Override
    public void close(SysDevice device) {

    }

    @Override
    public Mono<SysDeviceCommand> getInstruct(String receive, String deviceType) {
        return null;
    }

    @Override
    public Mono<SysDeviceCommand> getByFunc(String funcId, String deviceType) {
        return null;
    }

}
